{
    "Lua.diagnostics.globals": [
        "DEFAULT_CHAT_FRAME",
        "ChatFrame1",
        "RED_FONT_COLOR",
        "WHITE_FONT_COLOR",
        "class",
        "message",
        "Ambiguate",
        "CreateFrame",
        "format",
        "geterrorhandler",
        "GetTime",
        "GetFramerate",
        "wipe",
        "UnitInRaid",
        "UnitInParty",
        "hooksecurefunc",
        "CreateColor",
        "floor",
        "GetCursorPosition",
        "GetScreenWidth",
        "GetScreenHeight",
        "GetSpellInfo",
        "GetBonusBarOffset",
        "GetDodgeChance",
        "GetCombatRatingBonus",
        "PlaySound",
        "UIParent",
        "type",
        "next",
        "pairs",
        "tostring",
        "error",
        "assert",
        "string",
        "table",
        "setmetatable",
        "print",
        "select",
        "tonumber",
        "math",
        "getmetatable",
        "ipairs",
        "min",
        "max",
        "loadstring",
        "rawset",
        "rawget",
        "xpcall",
        "GameTooltip",
        "getfenv",
        "_G",
        "unpack",
        "pcall",
        "tinsert",
        "tremove",
        "IsShiftKeyDown",
        "CreateFont",
        "BackdropTemplateMixin",
        "strsplittable",
        "debugstack",
        "GetLocale"
    ],
    "[lua]": {
        "editor.defaultFormatter": "JohnnyMorganz.stylua"
    },
    "Lua.runtime.version": "Lua 5.1",
    "editor.detectIndentation": true,
    "Lua.workspace.library": [
        "~/dev/UnlockerTypes/Tinkr.lua",
        "~/.vscode-insiders/extensions/ketho.wow-api-0.13.2/EmmyLua/Optional",
        "~/.vscode-insiders/extensions/ketho.wow-api-0.13.2/EmmyLua/API",
    ],
    "Lua.workspace.maxPreload": 8000,
    "Lua.workspace.preloadFileSize": 1000,
    "Lua.workspace.ignoreSubmodules": false
}